# shell

## Purpose

Starts an instance of the Groovy terminal shell with an initialized Grails runtime.

## Examples

    grails shell

## Description

Usage:

    grails [environment]* shell

Starts the Grails shell, which is an extended version of the regular Groovy shell. Within the binding of the shell there are a couple of useful variables:

- `ctx` - The Spring ApplicationContext instance
- `grailsApplication` - The GrailsApplication instance

These are useful as they allow access to the conventions within Grails and interesting beans in the context.

Fired Events:

- `StatusFinal` - When the shell is loaded

Example Shell:

    Groovy Shell (1.1-rc-1, JVM: 1.5.0_07-87)
    Type 'go' to execute statements; Type 'help' for more information.
    groovy> Book.list()
    groovy> go